From bc70cafd3bbb50cbbca51575e0bdf196b323d5b1 Mon Sep 17 00:00:00 2001
From: Florian Franzmann <bwlf@bandrate.org>
Date: Sun, 5 Jul 2020 13:32:55 +0200
Subject: [PATCH] Fix linker error due to global symbols

---
 include/castfs.h | 12 ++++++------
 src/castfs.c     |  8 ++++++++
 2 files changed, 14 insertions(+), 6 deletions(-)

diff --git a/include/castfs.h b/include/castfs.h
index 3d78ff0..661ba5a 100644
--- a/include/castfs.h
+++ b/include/castfs.h
@@ -38,13 +38,13 @@ struct st_cast_path
 typedef struct st_cast_path cast_paths;
 typedef cast_paths* cast_paths_ptr;
 
-int logfd;
-int dbglvl;
+extern int logfd;
+extern int dbglvl;
 
-char *mount_path;
-char *stage_path;
-char **ignored_dirs;
-int ignored_dirs_len;
+extern char *mount_path;
+extern char *stage_path;
+extern char **ignored_dirs;
+extern int ignored_dirs_len;
 
 void usage(void);
 int cast_log(unsigned int dbgmask, const char* format,...);
diff --git a/src/castfs.c b/src/castfs.c
index a9989a0..3b6b742 100644
--- a/src/castfs.c
+++ b/src/castfs.c
@@ -5,6 +5,14 @@
 #include "castfs.h"
 #include "hash.h"
 
+int logfd;
+int dbglvl;
+
+char *mount_path;
+char *stage_path;
+char **ignored_dirs;
+int ignored_dirs_len;
+
 /* getattr(): see man fstat or man lstat */
 static int cast_getattr(const char *path, struct stat *stbuf)
 {
-- 
2.27.0

